| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Gaudi::Utils::Histos::Formats Namespace Reference

The 15 format fields are predefined now: More...

## Enumerations
enum | Format { Default = 0, Old, Full, FullStat, Stat, StatOnly, Stat1, ShapeOnly, Shape, LineTitle, LineOnly, PathTitle }
| the ID for predefined formats More...

## Functions
GAUDI_API std::string | format (const int ID=Default)
| get the format by enum More...
GAUDI_API std::string | header (const int ID=Default)
| get the recommended header by enum More...

## Detailed Description

The 15 format fields are predefined now:

- 1 : the histogram path in transient store (without '/stat/')
- 2 : the histogram title
- 3 : number of ALL entries
- 4 : number of UNDERFLOW entries
- 5 : number of OVERFLOW entries
- 6 : the statistics of equivalent entries
- 7 : the full integral in range
- 8 : mean value
- 9 : the estimated uncertainty in the mean value
- 10 : rms value
- 11 : the estimated uncertainty in the rms value
- 12 : skewness value
- 13 : the estimated uncertainty in the skewness value
- 14 : kurtosis value
- 15 : the estimated uncertainty in the kurtosis value
- 16 : full intergal (in and out-range)
- 17 : error on the full intergal (16)
- 18 : error on the full intergal in range (7)
- 19 : fraction of overflow entries [%]
- 20 : (binomial) error on fraction of overflow entries [%]
- 21 : fraction of underflow entries [%]
- 22 : (binomial) error on fraction of underflow entries [%]
- 23 : fraction of overflow integral
- 24 : error on fraction of overflow integral
- 25 : fraction of underflow integral
- 26 : error on fraction of underflow integral

See also
  Gauid::Utils::HistoStats

Unlike parameters 3-7 & 16-19, the parameters 8-15 and 19-26 are sensitive only to the shape of the distribution.

Simple collection of predefiend formats for the histogram

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yed.e.nosp@m.du

Date
  2007-08-07

## Enumeration Type Documentation

enum Gaudi::Utils::Histos::Formats::Format

the ID for predefined formats

- Default : the default format
- Old : the old-style format (title,integra,entries,mean,rms)
- Full : FULL information (all 15 predefiend values)
- FullStat : FULL statistical information (all 13 statistical values)
- Stat : title, #entries,mean, rms, skewness&kurtosis
- StatOnly : #entries,mean, rms, skewness&kurtosis
- Stat1 : #entries,mean+-, rms+-, skewness+-&kurtosis+-
- ShapeOnly : mean,rms,skewness,kurtosis,underflow&overflow fractions
- Shape : as ShapeOnly but with errors
- LineTitle : line-format title, mean,rms,skewness&kurtosis
- LineOnly : line-format mean,rms,skewness&kurtosis
- PathTitle : path & title

Enumerator
Default |
Old |
Full |
FullStat |
Stat |
StatOnly |
Stat1 |
ShapeOnly |
Shape |
LineTitle |
LineOnly |
PathTitle |

Definition at line 88 of file HistoTableFormat.h.

89 {
90 Default = 0 , // default format
91 Old , // "OLD"-line format: title,integral,#ent,mean,rms
92 Full , // FULL format: the first 15 positions
93 FullStat , // Full statistical info (3-15)
94 Stat , // title,#ent,mean,rms,skewness&kurtosis
95 StatOnly , // #entries,mean,rms,skewness&kurtosis
96 Stat1 , // #entries,mean+-,rms+-,skewness+-&kurtosis+-
97 ShapeOnly , // mean,rms,skewness,kurtosis,underflow&overflow fractions
98 Shape , // as ShapeOnly but with errors
99 LineTitle , // line-format : title,mean,rms,skewness&kurtosis
100 LineOnly , // line-format : mean,rms,skewness&kurtosis
101 PathTitle // "PathTitle" : path & title
102 } ;
Gaudi::Utils::Histos::Formats::Stat
Definition: HistoTableFormat.h:94
Gaudi::Utils::Histos::Formats::Old
Definition: HistoTableFormat.h:91
Gaudi::Utils::Histos::Formats::LineOnly
Definition: HistoTableFormat.h:100
Gaudi::Utils::Histos::Formats::Full
Definition: HistoTableFormat.h:92
Gaudi::Utils::Histos::Formats::PathTitle
Definition: HistoTableFormat.h:101
Gaudi::Utils::Histos::Formats::Shape
Definition: HistoTableFormat.h:98
Gaudi::Utils::Histos::Formats::Default
Definition: HistoTableFormat.h:90
Gaudi::Utils::Histos::Formats::LineTitle
Definition: HistoTableFormat.h:99
Gaudi::Utils::Histos::Formats::ShapeOnly
Definition: HistoTableFormat.h:97
Gaudi::Utils::Histos::Formats::Stat1
Definition: HistoTableFormat.h:96
Gaudi::Utils::Histos::Formats::FullStat
Definition: HistoTableFormat.h:93
Gaudi::Utils::Histos::Formats::StatOnly
Definition: HistoTableFormat.h:95

## Function Documentation

std::string Gaudi::Utils::Histos::Formats::format | ( | const int | ID = `Default` | ) |

get the format by enum

See also
  Gaudi::Utils::Histos::Formats::Format

Parameters

  ID | the format idenfifier

Returns
  format associated with ID

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-08-08

default:

Definition at line 145 of file HistoTableFormat.cpp.

146 {
147 switch ( ID )
148 {
149 case Old : return s_histoFormatOld ;
150 case Full : return s_histoFormatFull ;
151 case FullStat : return s_histoFormatFullStat ;
152 case Stat : return s_histoFormatStat ;
153 case StatOnly : return s_histoFormatStatOnly ;
154 case Stat1 : return s_histoFormatStat1 ;
155 case ShapeOnly : return s_histoFormatShapeOnly ;
156 case Shape : return s_histoFormatShape ;
157 case LineTitle : return s_histoFormatLineTitle ;
158 case LineOnly : return s_histoFormatLineOnly ;
159 case PathTitle : return s_histoFormatPathTitle ;
160 default : break ;
161 }
163 return s_histoFormatStat ;
164 }
Gaudi::Utils::Histos::Formats::Old
Definition: HistoTableFormat.h:91
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
Gaudi::Utils::Histos::Formats::LineOnly
Definition: HistoTableFormat.h:100
Gaudi::Utils::Histos::Formats::Full
Definition: HistoTableFormat.h:92
Gaudi::Utils::Histos::Formats::PathTitle
Definition: HistoTableFormat.h:101
Gaudi::Utils::Histos::Formats::Shape
Definition: HistoTableFormat.h:98
Gaudi::Utils::Histos::Formats::LineTitle
Definition: HistoTableFormat.h:99
Gaudi::Utils::Histos::Formats::ShapeOnly
Definition: HistoTableFormat.h:97
Gaudi::Utils::Histos::Formats::Stat1
Definition: HistoTableFormat.h:96
Gaudi::Utils::Histos::Formats::FullStat
Definition: HistoTableFormat.h:93
Gaudi::Utils::Histos::Formats::StatOnly
Definition: HistoTableFormat.h:95

std::string Gaudi::Utils::Histos::Formats::header | ( | const int | ID = `Default` | ) |

get the recommended header by enum

See also
  Gaudi::Utils::Histos::Formats::Format

Parameters

  ID | the format idenfifier

Returns
  header associated with ID

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-08-08

default:

Definition at line 168 of file HistoTableFormat.cpp.

169 {
170 switch ( ID )
171 {
172 case Old : return s_histoFormatOldHeader ;
173 case Full : return s_histoFormatFullHeader ;
174 case FullStat : return s_histoFormatFullStatHeader ;
175 case Stat : return s_histoFormatStatHeader ;
176 case Stat1 : return s_histoFormatStat1Header ;
177 case StatOnly : return s_histoFormatStatOnlyHeader ;
178 case ShapeOnly : return s_histoFormatShapeOnlyHeader ;
179 case Shape : return s_histoFormatShapeHeader ;
180 case LineTitle : return s_histoFormatLineTitleHeader ;
181 case LineOnly : return s_histoFormatLineOnlyHeader ;
182 case PathTitle : return s_histoFormatPathTitleHeader ;
183 default : ;
184 }
186 return s_histoFormatStatHeader ;
187 }
Gaudi::Utils::Histos::Formats::Old
Definition: HistoTableFormat.h:91
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
Gaudi::Utils::Histos::Formats::LineOnly
Definition: HistoTableFormat.h:100
Gaudi::Utils::Histos::Formats::Full
Definition: HistoTableFormat.h:92
Gaudi::Utils::Histos::Formats::PathTitle
Definition: HistoTableFormat.h:101
Gaudi::Utils::Histos::Formats::Shape
Definition: HistoTableFormat.h:98
Gaudi::Utils::Histos::Formats::LineTitle
Definition: HistoTableFormat.h:99
Gaudi::Utils::Histos::Formats::ShapeOnly
Definition: HistoTableFormat.h:97
Gaudi::Utils::Histos::Formats::Stat1
Definition: HistoTableFormat.h:96
Gaudi::Utils::Histos::Formats::FullStat
Definition: HistoTableFormat.h:93
Gaudi::Utils::Histos::Formats::StatOnly
Definition: HistoTableFormat.h:95